﻿/********************************************************
*                                                        *
*   © Microsoft. All rights reserved.                    *
*                                                        *
*********************************************************/
(function () {
"use strict";
WinJS.Namespace.define("WeatherAppJS.Pages", {
SlideshowPage: WinJS.Class.define(
function (state) {
if (state) {
this._state = state;
}
},
{
_state: null,
_data: null,
isImmersive: true,
getPageImpressionContext: function getPageImpressionContext() {
var context = WeatherAppJS.Instrumentation.PageContext.SlideShow;
if (this._state && this._state.page) {
context = this._state.page;
}
return context;
},
getPageState: function getPageState() {
this._state = this._state || {};
var element = document.querySelector('.weatherSlideView');
if (element) {
var control = element.winControl;
if (control && control.currentPage !== null && typeof control.currentPage !== "undefined") {
this._state.index = control.currentPage;
}
}
return this._state;
},
getPageData: function getPageData() {
var that = this;
var disableSemanticZoom = that._state.disableSemanticZoom ? true : false;
var dontShowImageCount = that._state.dontShowImageCount ? true : false;
// TODO: passing data in state context might be too heavy on navigation history
var pageData = {
data: that._state.data,
semanticZoomLocked: disableSemanticZoom,
enableSemanticZoomButton: !disableSemanticZoom,
dontShowImageCount: dontShowImageCount,
};
return WinJS.Promise.wrap(pageData);
},
onBindingComplete: function onBindingComplete() {
},
})
});
})();
